New Search

Pidgin before 2.6.2 allow denial of service via XHTML-IM content

oval:org.mitre.oval:def:6434

The XMPP protocol plugin in libpurple in Pidgin before 2.6.2 does not properly handle an error IQ stanza during an attempted fetch of a custom smiley which allows remote attackers to cause a denial of service (application crash) via XHTML-IM content with cid: images.

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows 7
  • Microsoft Windows Vista
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2008
  • Microsoft Windows Server 2003
  • Microsoft Windows 8
  • Microsoft Windows XP
  • Microsoft Windows 2000
  • Microsoft Windows Server 2008 R2
Class:
vulnerability
Reference(s):
  • CVE-2009-3085
Product(s):
  • Pidgin